[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TFormatOption

Formatting options for FormatJSON

## Declaration

Source position: fpjson.pp line 36

`type TFormatOption = (`
`foSingleLineArray,` |  | Keep all array elements on a lingle line.
`foSingleLineObject,` |  | Keep all object elements on a single line.
`foDoNotQuoteMembers,` |  | Do not use quote characters around object member names.
`foUseTabchar` |  | Use the tabulator character for indents
`);`

## Description

TFormatOption enumerates the various formatting options that can be used in the TJSONData.FormatJSON function.

## See also

TJSONData.FormatJSON |  | Return a formatted JSON representation of the data.

Documentation generated on: Feb 26 2014